it.csi.mddtools.guigen

## Interface UDLRCWidgetLayoutSpec

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, WidgetLayoutSpecifier

      public interface UDLRCWidgetLayoutSpec
      extends WidgetLayoutSpecifier

  A representation of the model object 'UDLRC Widget Layout Spec'. Specificatore di posizionamento di un elemento all'interno di un contenitore dotato di layout UDLRC.

  The following features are supported:

  - `Value`
  See Also:
    `GuigenPackage.getUDLRCWidgetLayoutSpec()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `UDLRCSpecConstants` | `getValue()` Returns the value of the 'Value' attribute.
    `void` | `setValue(UDLRCSpecConstants value)` Sets the value of the '`Value`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getValue

          UDLRCSpecConstants getValue()

      Returns the value of the 'Value' attribute. The literals are from the enumeration `UDLRCSpecConstants`.

      If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

      Indica in quale dei 5 quadranti (UP/DOWN/LEFT/RIGHT/CENTER) deve essere posizionato l'elemento
      Returns:
        the value of the 'Value' attribute.
      See Also:
        `UDLRCSpecConstants`, `setValue(UDLRCSpecConstants)`, `GuigenPackage.getUDLRCWidgetLayoutSpec_Value()`

    - #### setValue

          void setValue(UDLRCSpecConstants value)

      Sets the value of the '`Value`' attribute.
      Parameters:
        `value` - the new value of the 'Value' attribute.
      See Also:
        `UDLRCSpecConstants`, `getValue()`